#ifdef VHDL

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>
using namespace std;

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::get_body"
  string Vhdl::get_body (uint32_t depth)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    string _return = get_list(_list_body,depth,"",true);
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
